View Issue Details

IDProjectCategoryView StatusLast Update
0015718LazarusIDEpublic2010-03-16 18:43
Reportersamuel herzog Assigned ToMaxim Ganetsky  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
PlatformallOSall 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015718: Wrong message in case no html browser is setup.
DescriptionIf the user presses F1 but no html browser is setup, then a message is displayed which points to a non-existent setting.

This setting was moved some time ago from

Old:
  hhsHelpNoHTMLBrowserFoundPleaseDefineOneInHelpConfigureHe = 'No HTML '
    +'Browser found.%sPlease define one in Help -> Configure Help -> Viewers;

to new location.
New:
  hhsHelpNoHTMLBrowserFoundPleaseDefineOneInHelpConfigureHe = 'No HTML '
    +'Browser found.%sPlease define one in Environment -> Options -> Help -> Help Options';
TagsNo tags attached.
Fixed in Revisionr23979, r23980
LazTarget0.9.30
Widgetset
Attached Files

Activities

2010-02-09 06:33

 

0015718.patch (757 bytes)   
Index: lclstrconsts.pas
===================================================================
--- lclstrconsts.pas	(revision 23665)
+++ lclstrconsts.pas	(working copy)
@@ -325,7 +325,7 @@
   hhsHelpTheMacroSInBrowserParamsWillBeReplacedByTheURL = 'The macro %s in '
     +'BrowserParams will be replaced by the URL.';
   hhsHelpNoHTMLBrowserFoundPleaseDefineOneInHelpConfigureHe = 'No HTML '
-    +'Browser found.%sPlease define one in Help -> Configure Help -> Viewers';
+    +'Browser found.%sPlease define one in Environment -> Options -> Help -> Help Options';
   hhsHelpNoHTMLBrowserFound = 'Unable to find a HTML browser.';
   hhsHelpBrowserNotFound = 'Browser %s%s%s not found.';
   hhsHelpBrowserNotExecutable = 'Browser %s%s%s not executable.';
0015718.patch (757 bytes)   

samuel herzog

2010-02-09 06:34

developer   ~0034309

Patch added. But how does this change propagate to the language files ?

Vincent Snijders

2010-02-09 08:56

manager   ~0034313

The translations will remain, but will be marked as fuzzy, I think. A hint for the translators, that they will need to take a new look at it.

samuel herzog

2010-02-16 07:50

developer   ~0034518

Please apply this patch. Then I can close this issue.

Maxim Ganetsky

2010-03-13 19:18

developer   ~0035461

Applied the patch and regenerated translations.
They will be marked as fuzzy indeed.

Please close if ok.

Issue History

Date Modified Username Field Change
2010-02-09 06:32 samuel herzog New Issue
2010-02-09 06:33 samuel herzog File Added: 0015718.patch
2010-02-09 06:34 samuel herzog Note Added: 0034309
2010-02-09 08:56 Vincent Snijders Note Added: 0034313
2010-02-16 07:50 samuel herzog Note Added: 0034518
2010-03-12 10:12 Vincent Snijders LazTarget => 0.9.30
2010-03-12 10:12 Vincent Snijders Assigned To => Maxim Ganetsky
2010-03-12 10:12 Vincent Snijders Status new => assigned
2010-03-12 10:12 Vincent Snijders Target Version => 0.9.30
2010-03-13 19:18 Maxim Ganetsky Fixed in Revision => r23979, r23980
2010-03-13 19:18 Maxim Ganetsky Status assigned => resolved
2010-03-13 19:18 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-03-13 19:18 Maxim Ganetsky Resolution open => fixed
2010-03-13 19:18 Maxim Ganetsky Note Added: 0035461
2010-03-16 18:43 samuel herzog Status resolved => closed